import type { Dictionary } from 'lodash';
import { Subject } from 'rxjs';
import type { Application } from '../../application/application.model';
import type { IFunction, IFunctionGroup } from '../../domain';
export declare class FunctionFilterService {
    groupsUpdatedStream: Subject<IFunctionGroup[]>;
    private lastApplication;
    constructor();
    private addSearchFields;
    private checkSearchTextFilter;
    filterFunctionsForDisplay(functions: IFunction[]): IFunction[];
    sortGroupsByHeading(): void;
    clearFilters(): void;
    getFunctionGroups(groupedByAccount: Dictionary<IFunction[]>): IFunctionGroup[];
    updateFunctionGroups(application: Application): void;
}
